
if not exists (select * from gui_funcionalidad where  nombreComando='Buscar' and nombreControl='Buscar' and id_tipoFuncionalidad =5)
begin

insert into [gui_funcionalidad] (uid ,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,funcionalidad,url,esMenu,
nombreControl,nombreComando,orden,id_funcionalidad,id_tipoFuncionalidad  ) 
select uid,eid,id_usuario_modifico,id_usuario_creo,getdate()as fechaModificacion, GETDATE() as fechaCreacion,active ,'Buscar' as funcionalidad,
url ,esMenu ,'buscar' as nombreControl , 'buscar' as nombreComando,orden ,id_funcionalidad ,id_tipoFuncionalidad
from view_gui_funcionalidad 
where nombreComando  ='crear' and gui_funcionalidad_padre_id_tipoFuncionalidad=3


insert into [seg_perfil_funcionalidad] (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,perfil_funcionalidad ,id_perfil,id_funcionalidad )
select gui_funcionalidad.uid, gui_funcionalidad.eid , 1 as id_usuario_modifico,1 as id_usuario_creo ,
getdate() as fechaModificacion,getdate() as fechaCreacion,1 as active ,'' as perfil_funcionalidad,
seg_perfil.id  as 'id_perfil',gui_funcionalidad.id as 'id_funcionalidad'

from gui_funcionalidad,seg_perfil
where  nombreComando='buscar' and nombreControl='buscar' and id_tipoFuncionalidad =5 
and seg_perfil.active=1 and seg_perfil.id>1

end

